﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Reflection;
using System.Text;

using ProjectBoat_bae.Entities;
namespace ProjectBoat_bae.DrawningObjects
{
    public class DrawningMotorBoat : Drawningboat
    {

        public DrawningMotorBoat(int speed, double weight, Color bodyColor, Color
        additionalColor, bool body, bool wing, 
        int width, int height) : base(speed, weight, bodyColor, width, height, 110, 60)

        {
            if (EntityBoat != null)
            {
                EntityBoat = new EntityMotorBoat(speed, weight, bodyColor,
                additionalColor, body, wing);
                
            }
        }

        public override void DrawTransport(Graphics g)
        {
            if (EntityBoat is not EntityMotorBoat Boat)
            {
                return;
            }
            Pen pen = new(Color.Black);
            Brush additionalBrush = new SolidBrush(Boat.AdditionalColor);
            Brush brr = new SolidBrush(EntityBoat.BodyColor);

            if (Boat.Wing)
            {
                //вёсла
                g.FillRectangle(additionalBrush, _startPosX + 35, _startPosY + 40, 5, 100);
                g.FillRectangle(additionalBrush, _startPosX + 28, _startPosY + 40, 12, 8);
                g.FillRectangle(additionalBrush, _startPosX + 28, _startPosY + 135, 12, 8);
            }

            base.DrawTransport(g);

            //кресла
            if (Boat.Body)
            {
                g.FillRectangle(additionalBrush, _startPosX + 58, _startPosY + 70, 25, 40);
            }
        }
    }
 }
